Alerts
These API endpoints are related to user alerts on IBL
Gets a users alerts.
All alerts are also sent via push notifications if the user has subscribed to them.
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringUser ID
page?stringThe page number
Success
application/json- response
count?integer0 <= value <= 18446744073709552000per_page?integer0 <= value <= 18446744073709552000results?curl -X GET 'https://spider.omniplex.gg/users/string/alerts'{ "count": 0, "per_page": 0, "results": { "alerts": [ { "acked": true, "alert_data": { "property1": null, "property2": null }, "category": "string", "created_at": "2019-08-24T14:15:22Z", "icon": "string", "itag": "6b5f8e7b-1e8c-4611-b693-ee8faa950c62", "message": "string", "priority": "1", "title": "string", "type": "success", "url": "string" } ], "unacked_count": 0 }}Updates a set of user alerts with a given 'patch' to apply to the alert. Returns 204 on success
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringUser ID
application/json- body
patches?array<>List of patches to apply to alerts
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PATCH 'https://spider.omniplex.gg/users/string/alerts' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Deletes all user alerts. Returns 204 on success
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringUser ID
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X DELETE 'https://spider.omniplex.gg/users/string/alerts'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Gets the featured user alerts of the user.
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringUser ID
acked_count*stringThe number of alerts to return that have been acknowledged.
unacked_count*stringThe number of alerts to return that have not been acknowledged.
Success
application/json- response
acked?array<>List of featured acknowledged alerts
unacked?array<>List of featured unacknowledged alerts
unacked_count?integerThe number of unacknowledged alerts
0 <= value <= 18446744073709552000curl -X GET 'https://spider.omniplex.gg/users/string/alerts/@featured?acked_count=string&unacked_count=string'{ "acked": [ { "acked": true, "alert_data": { "property1": null, "property2": null }, "category": "string", "created_at": "2019-08-24T14:15:22Z", "icon": "string", "itag": "6b5f8e7b-1e8c-4611-b693-ee8faa950c62", "message": "string", "priority": "1", "title": "string", "type": "success", "url": "string" } ], "unacked": [ { "acked": true, "alert_data": { "property1": null, "property2": null }, "category": "string", "created_at": "2019-08-24T14:15:22Z", "icon": "string", "itag": "6b5f8e7b-1e8c-4611-b693-ee8faa950c62", "message": "string", "priority": "1", "title": "string", "type": "success", "url": "string" } ], "unacked_count": 0}Gets a single user alert based on its itag. This returns an alertlist to aid with consistency.
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringUser ID
itag*stringThe itag of the alert
Success
application/json- response
alerts?array<>List of alerts
unacked_count?integerThe number of unacknowledged alerts
0 <= value <= 18446744073709552000curl -X GET 'https://spider.omniplex.gg/users/string/alerts/string'{ "alerts": [ { "acked": true, "alert_data": { "property1": null, "property2": null }, "category": "string", "created_at": "2019-08-24T14:15:22Z", "icon": "string", "itag": "6b5f8e7b-1e8c-4611-b693-ee8faa950c62", "message": "string", "priority": "1", "title": "string", "type": "success", "url": "string" } ], "unacked_count": 0}